# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.92"
name = "mlt-py"
version = "0.1.9"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Python bindings for MapLibre Tile (MLT) format via PyO3"
readme = "README.md"
keywords = [
    "maplibre",
    "tile",
    "mlt",
    "mvt",
    "map",
]
categories = ["science::geo"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/maplibre/maplibre-tile-spec"

[features]
abi3 = [
    "pyo3/abi3-py310",
    "generate-import-lib",
]
generate-import-lib = ["pyo3/generate-import-lib"]

[lib]
name = "mlt_py"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[[bin]]
name = "stub_gen"
path = "src/bins/stub_gen.rs"
required-features = ["abi3"]

[dependencies.geo-types]
version = "0.7.18"

[dependencies.mlt-core]
version = "0.7.0"
default-features = false

[dependencies.pyo3]
version = "0.28.3"

[dependencies.pyo3-stub-gen]
version = "0.21.2"

[dependencies.serde_json]
version = "1.0.149"

[dev-dependencies.pyo3]
version = "0.28.3"
features = ["auto-initialize"]
